CMSIS DSP Software Library: Data Fields

### - a -

- arm_abs_f32() : arm_abs_f32.c , arm_math.h
- arm_abs_q15() : arm_math.h , arm_abs_q15.c
- arm_abs_q31() : arm_abs_q31.c , arm_math.h
- arm_abs_q7() : arm_math.h , arm_abs_q7.c
- arm_add_f32() : arm_add_f32.c , arm_math.h
- arm_add_q15() : arm_add_q15.c , arm_math.h
- arm_add_q31() : arm_add_q31.c , arm_math.h
- arm_add_q7() : arm_math.h , arm_add_q7.c
- arm_bilinear_interp_f32() : arm_math.h
- arm_bilinear_interp_q15() : arm_math.h
- arm_bilinear_interp_q31() : arm_math.h
- arm_bilinear_interp_q7() : arm_math.h
- arm_biquad_cas_df1_32x64_init_q31() : arm_biquad_cascade_df1_32x64_init_q31.c , arm_math.h
- arm_biquad_cas_df1_32x64_q31() : arm_biquad_cascade_df1_32x64_q31.c , arm_math.h
- arm_biquad_cascade_df1_f32() : arm_biquad_cascade_df1_f32.c , arm_math.h
- arm_biquad_cascade_df1_fast_q15() : arm_biquad_cascade_df1_fast_q15.c , arm_math.h
- arm_biquad_cascade_df1_fast_q31() : arm_biquad_cascade_df1_fast_q31.c , arm_math.h
- arm_biquad_cascade_df1_init_f32() : arm_math.h , arm_biquad_cascade_df1_init_f32.c
- arm_biquad_cascade_df1_init_q15() : arm_biquad_cascade_df1_init_q15.c , arm_math.h
- arm_biquad_cascade_df1_init_q31() : arm_biquad_cascade_df1_init_q31.c , arm_math.h
- arm_biquad_cascade_df1_q15() : arm_biquad_cascade_df1_q15.c , arm_math.h
- arm_biquad_cascade_df1_q31() : arm_biquad_cascade_df1_q31.c , arm_math.h
- arm_biquad_cascade_df2T_f32() : arm_biquad_cascade_df2T_f32.c , arm_math.h
- arm_biquad_cascade_df2T_init_f32() : arm_biquad_cascade_df2T_init_f32.c , arm_math.h
- arm_bitreversal_f32() : arm_cfft_radix4_f32.c , arm_math.h
- arm_bitreversal_q15() : arm_cfft_radix4_q15.c , arm_math.h
- arm_bitreversal_q31() : arm_cfft_radix4_q31.c , arm_math.h
- arm_cfft_radix4_f32() : arm_cfft_radix4_f32.c , arm_math.h
- arm_cfft_radix4_init_f32() : arm_cfft_radix4_init_f32.c , arm_math.h
- arm_cfft_radix4_init_q15() : arm_cfft_radix4_init_q15.c , arm_math.h
- arm_cfft_radix4_init_q31() : arm_cfft_radix4_init_q31.c , arm_math.h
- arm_cfft_radix4_q15() : arm_cfft_radix4_q15.c , arm_math.h
- arm_cfft_radix4_q31() : arm_cfft_radix4_q31.c , arm_math.h
- arm_circularRead_f32() : arm_math.h
- arm_circularRead_q15() : arm_math.h
- arm_circularRead_q7() : arm_math.h
- arm_circularWrite_f32() : arm_math.h
- arm_circularWrite_q15() : arm_math.h
- arm_circularWrite_q7() : arm_math.h
- arm_clarke_f32() : arm_math.h
- arm_clarke_q31() : arm_math.h
- arm_cmplx_conj_f32() : arm_cmplx_conj_f32.c , arm_math.h
- arm_cmplx_conj_q15() : arm_cmplx_conj_q15.c , arm_math.h
- arm_cmplx_conj_q31() : arm_cmplx_conj_q31.c , arm_math.h
- arm_cmplx_dot_prod_f32() : arm_cmplx_dot_prod_f32.c , arm_math.h
- arm_cmplx_dot_prod_q15() : arm_cmplx_dot_prod_q15.c , arm_math.h
- arm_cmplx_dot_prod_q31() : arm_cmplx_dot_prod_q31.c , arm_math.h
- arm_cmplx_mag_f32() : arm_cmplx_mag_f32.c , arm_math.h
- arm_cmplx_mag_q15() : arm_cmplx_mag_q15.c , arm_math.h
- arm_cmplx_mag_q31() : arm_cmplx_mag_q31.c , arm_math.h
- arm_cmplx_mag_squared_f32() : arm_cmplx_mag_squared_f32.c , arm_math.h
- arm_cmplx_mag_squared_q15() : arm_cmplx_mag_squared_q15.c , arm_math.h
- arm_cmplx_mag_squared_q31() : arm_cmplx_mag_squared_q31.c , arm_math.h
- arm_cmplx_mult_cmplx_f32() : arm_cmplx_mult_cmplx_f32.c , arm_math.h
- arm_cmplx_mult_cmplx_q15() : arm_cmplx_mult_cmplx_q15.c , arm_math.h
- arm_cmplx_mult_cmplx_q31() : arm_cmplx_mult_cmplx_q31.c , arm_math.h
- arm_cmplx_mult_real_f32() : arm_cmplx_mult_real_f32.c , arm_math.h
- arm_cmplx_mult_real_q15() : arm_cmplx_mult_real_q15.c , arm_math.h
- arm_cmplx_mult_real_q31() : arm_cmplx_mult_real_q31.c , arm_math.h
- arm_conv_f32() : arm_conv_f32.c , arm_math.h
- arm_conv_fast_q15() : arm_conv_fast_q15.c , arm_math.h
- arm_conv_fast_q31() : arm_conv_fast_q31.c , arm_math.h
- arm_conv_partial_f32() : arm_conv_partial_f32.c , arm_math.h
- arm_conv_partial_fast_q15() : arm_conv_partial_fast_q15.c , arm_math.h
- arm_conv_partial_fast_q31() : arm_conv_partial_fast_q31.c , arm_math.h
- arm_conv_partial_q15() : arm_conv_partial_q15.c , arm_math.h
- arm_conv_partial_q31() : arm_conv_partial_q31.c , arm_math.h
- arm_conv_partial_q7() : arm_conv_partial_q7.c , arm_math.h
- arm_conv_q15() : arm_conv_q15.c , arm_math.h
- arm_conv_q31() : arm_math.h , arm_conv_q31.c
- arm_conv_q7() : arm_conv_q7.c , arm_math.h
- arm_copy_f32() : arm_copy_f32.c , arm_math.h
- arm_copy_q15() : arm_copy_q15.c , arm_math.h
- arm_copy_q31() : arm_copy_q31.c , arm_math.h
- arm_copy_q7() : arm_copy_q7.c , arm_math.h
- arm_correlate_f32() : arm_correlate_f32.c , arm_math.h
- arm_correlate_fast_q15() : arm_correlate_fast_q15.c , arm_math.h
- arm_correlate_fast_q31() : arm_correlate_fast_q31.c , arm_math.h
- arm_correlate_q15() : arm_correlate_q15.c , arm_math.h
- arm_correlate_q31() : arm_correlate_q31.c , arm_math.h
- arm_correlate_q7() : arm_correlate_q7.c , arm_math.h
- arm_cos_f32() : arm_cos_f32.c , arm_math.h
- arm_cos_q15() : arm_cos_q15.c , arm_math.h
- arm_cos_q31() : arm_cos_q31.c , arm_math.h
- arm_dct4_f32() : arm_dct4_f32.c , arm_math.h
- arm_dct4_init_f32() : arm_dct4_init_f32.c , arm_math.h
- arm_dct4_init_q15() : arm_dct4_init_q15.c , arm_math.h
- arm_dct4_init_q31() : arm_dct4_init_q31.c , arm_math.h
- arm_dct4_q15() : arm_dct4_q15.c , arm_math.h
- arm_dct4_q31() : arm_dct4_q31.c , arm_math.h
- arm_dot_prod_f32() : arm_dot_prod_f32.c , arm_math.h
- arm_dot_prod_q15() : arm_dot_prod_q15.c , arm_math.h
- arm_dot_prod_q31() : arm_dot_prod_q31.c , arm_math.h
- arm_dot_prod_q7() : arm_dot_prod_q7.c , arm_math.h
- arm_fill_f32() : arm_fill_f32.c , arm_math.h
- arm_fill_q15() : arm_fill_q15.c , arm_math.h
- arm_fill_q31() : arm_fill_q31.c , arm_math.h
- arm_fill_q7() : arm_fill_q7.c , arm_math.h
- arm_fir_decimate_f32() : arm_fir_decimate_f32.c , arm_math.h
- arm_fir_decimate_fast_q15() : arm_fir_decimate_fast_q15.c , arm_math.h
- arm_fir_decimate_fast_q31() : arm_fir_decimate_fast_q31.c , arm_math.h
- arm_fir_decimate_init_f32() : arm_fir_decimate_init_f32.c , arm_math.h
- arm_fir_decimate_init_q15() : arm_fir_decimate_init_q15.c , arm_math.h
- arm_fir_decimate_init_q31() : arm_fir_decimate_init_q31.c , arm_math.h
- arm_fir_decimate_q15() : arm_fir_decimate_q15.c , arm_math.h
- arm_fir_decimate_q31() : arm_fir_decimate_q31.c , arm_math.h
- arm_fir_f32() : arm_fir_f32.c , arm_math.h
- arm_fir_fast_q15() : arm_fir_fast_q15.c , arm_math.h
- arm_fir_fast_q31() : arm_fir_fast_q31.c , arm_math.h
- arm_fir_init_f32() : arm_fir_init_f32.c , arm_math.h
- arm_fir_init_q15() : arm_fir_init_q15.c , arm_math.h
- arm_fir_init_q31() : arm_fir_init_q31.c , arm_math.h
- arm_fir_init_q7() : arm_fir_init_q7.c , arm_math.h
- arm_fir_interpolate_f32() : arm_fir_interpolate_f32.c , arm_math.h
- arm_fir_interpolate_init_f32() : arm_fir_interpolate_init_f32.c , arm_math.h
- arm_fir_interpolate_init_q15() : arm_fir_interpolate_init_q15.c , arm_math.h
- arm_fir_interpolate_init_q31() : arm_fir_interpolate_init_q31.c , arm_math.h
- arm_fir_interpolate_q15() : arm_fir_interpolate_q15.c , arm_math.h
- arm_fir_interpolate_q31() : arm_fir_interpolate_q31.c , arm_math.h
- arm_fir_lattice_f32() : arm_fir_lattice_f32.c , arm_math.h
- arm_fir_lattice_init_f32() : arm_fir_lattice_init_f32.c , arm_math.h
- arm_fir_lattice_init_q15() : arm_fir_lattice_init_q15.c , arm_math.h
- arm_fir_lattice_init_q31() : arm_fir_lattice_init_q31.c , arm_math.h
- arm_fir_lattice_q15() : arm_fir_lattice_q15.c , arm_math.h
- arm_fir_lattice_q31() : arm_fir_lattice_q31.c , arm_math.h
- arm_fir_q15() : arm_fir_q15.c , arm_math.h
- arm_fir_q31() : arm_fir_q31.c , arm_math.h
- arm_fir_q7() : arm_fir_q7.c , arm_math.h
- arm_fir_sparse_f32() : arm_fir_sparse_f32.c , arm_math.h
- arm_fir_sparse_init_f32() : arm_fir_sparse_init_f32.c , arm_math.h
- arm_fir_sparse_init_q15() : arm_fir_sparse_init_q15.c , arm_math.h
- arm_fir_sparse_init_q31() : arm_fir_sparse_init_q31.c , arm_math.h
- arm_fir_sparse_init_q7() : arm_fir_sparse_init_q7.c , arm_math.h
- arm_fir_sparse_q15() : arm_math.h , arm_fir_sparse_q15.c
- arm_fir_sparse_q31() : arm_fir_sparse_q31.c , arm_math.h
- arm_fir_sparse_q7() : arm_fir_sparse_q7.c , arm_math.h
- arm_float_to_q15() : arm_float_to_q15.c , arm_math.h
- arm_float_to_q31() : arm_float_to_q31.c , arm_math.h
- arm_float_to_q7() : arm_float_to_q7.c , arm_math.h
- arm_iir_lattice_f32() : arm_iir_lattice_f32.c , arm_math.h
- arm_iir_lattice_init_f32() : arm_iir_lattice_init_f32.c , arm_math.h
- arm_iir_lattice_init_q15() : arm_iir_lattice_init_q15.c , arm_math.h
- arm_iir_lattice_init_q31() : arm_iir_lattice_init_q31.c , arm_math.h
- arm_iir_lattice_q15() : arm_iir_lattice_q15.c , arm_math.h
- arm_iir_lattice_q31() : arm_iir_lattice_q31.c , arm_math.h
- arm_inv_clarke_f32() : arm_math.h
- arm_inv_clarke_q31() : arm_math.h
- arm_inv_park_f32() : arm_math.h
- arm_inv_park_q31() : arm_math.h
- arm_linear_interp_f32() : arm_math.h
- arm_linear_interp_q15() : arm_math.h
- arm_linear_interp_q31() : arm_math.h
- arm_linear_interp_q7() : arm_math.h
- arm_lms_f32() : arm_math.h , arm_lms_f32.c
- arm_lms_init_f32() : arm_lms_init_f32.c , arm_math.h
- arm_lms_init_q15() : arm_lms_init_q15.c , arm_math.h
- arm_lms_init_q31() : arm_lms_init_q31.c , arm_math.h
- arm_lms_norm_f32() : arm_math.h , arm_lms_norm_f32.c
- arm_lms_norm_init_f32() : arm_lms_norm_init_f32.c , arm_math.h
- arm_lms_norm_init_q15() : arm_math.h , arm_lms_norm_init_q15.c
- arm_lms_norm_init_q31() : arm_lms_norm_init_q31.c , arm_math.h
- arm_lms_norm_q15() : arm_math.h , arm_lms_norm_q15.c
- arm_lms_norm_q31() : arm_lms_norm_q31.c , arm_math.h
- arm_lms_q15() : arm_lms_q15.c , arm_math.h
- arm_lms_q31() : arm_lms_q31.c , arm_math.h
- arm_mat_add_f32() : arm_math.h , arm_mat_add_f32.c
- arm_mat_add_q15() : arm_mat_add_q15.c , arm_math.h
- arm_mat_add_q31() : arm_math.h , arm_mat_add_q31.c
- arm_mat_init_f32() : arm_mat_init_f32.c , arm_math.h
- arm_mat_init_q15() : arm_math.h , arm_mat_init_q15.c
- arm_mat_init_q31() : arm_mat_init_q31.c , arm_math.h
- arm_mat_inverse_f32() : arm_mat_inverse_f32.c , arm_math.h
- arm_mat_mult_f32() : arm_mat_mult_f32.c , arm_math.h
- arm_mat_mult_fast_q15() : arm_math.h , arm_mat_mult_fast_q15.c
- arm_mat_mult_fast_q31() : arm_mat_mult_fast_q31.c , arm_math.h
- arm_mat_mult_q15() : arm_math.h , arm_mat_mult_q15.c
- arm_mat_mult_q31() : arm_mat_mult_q31.c , arm_math.h
- arm_mat_scale_f32() : arm_math.h , arm_mat_scale_f32.c
- arm_mat_scale_q15() : arm_mat_scale_q15.c , arm_math.h
- arm_mat_scale_q31() : arm_mat_scale_q31.c , arm_math.h
- arm_mat_sub_f32() : arm_mat_sub_f32.c , arm_math.h
- arm_mat_sub_q15() : arm_math.h , arm_mat_sub_q15.c
- arm_mat_sub_q31() : arm_mat_sub_q31.c , arm_math.h
- arm_mat_trans_f32() : arm_math.h , arm_mat_trans_f32.c
- arm_mat_trans_q15() : arm_mat_trans_q15.c , arm_math.h
- arm_mat_trans_q31() : arm_math.h , arm_mat_trans_q31.c
- arm_max_f32() : arm_max_f32.c , arm_math.h
- arm_max_q15() : arm_max_q15.c , arm_math.h
- arm_max_q31() : arm_max_q31.c , arm_math.h
- arm_max_q7() : arm_max_q7.c , arm_math.h
- arm_mean_f32() : arm_mean_f32.c , arm_math.h
- arm_mean_q15() : arm_mean_q15.c , arm_math.h
- arm_mean_q31() : arm_math.h , arm_mean_q31.c
- arm_mean_q7() : arm_mean_q7.c , arm_math.h
- arm_min_f32() : arm_math.h , arm_min_f32.c
- arm_min_q15() : arm_min_q15.c , arm_math.h
- arm_min_q31() : arm_min_q31.c , arm_math.h
- arm_min_q7() : arm_min_q7.c , arm_math.h
- arm_mult_f32() : arm_math.h , arm_mult_f32.c
- arm_mult_q15() : arm_mult_q15.c , arm_math.h
- arm_mult_q31() : arm_mult_q31.c , arm_math.h
- arm_mult_q7() : arm_mult_q7.c , arm_math.h
- arm_negate_f32() : arm_negate_f32.c , arm_math.h
- arm_negate_q15() : arm_negate_q15.c , arm_math.h
- arm_negate_q31() : arm_math.h , arm_negate_q31.c
- arm_negate_q7() : arm_negate_q7.c , arm_math.h
- arm_offset_f32() : arm_math.h , arm_offset_f32.c
- arm_offset_q15() : arm_offset_q15.c , arm_math.h
- arm_offset_q31() : arm_math.h , arm_offset_q31.c
- arm_offset_q7() : arm_offset_q7.c , arm_math.h
- arm_park_f32() : arm_math.h
- arm_park_q31() : arm_math.h
- arm_pid_f32() : arm_math.h
- arm_pid_init_f32() : arm_pid_init_f32.c , arm_math.h
- arm_pid_init_q15() : arm_pid_init_q15.c , arm_math.h
- arm_pid_init_q31() : arm_pid_init_q31.c , arm_math.h
- arm_pid_q15() : arm_math.h
- arm_pid_q31() : arm_math.h
- arm_pid_reset_f32() : arm_pid_reset_f32.c , arm_math.h
- arm_pid_reset_q15() : arm_pid_reset_q15.c , arm_math.h
- arm_pid_reset_q31() : arm_pid_reset_q31.c , arm_math.h
- arm_power_f32() : arm_power_f32.c , arm_math.h
- arm_power_q15() : arm_math.h , arm_power_q15.c
- arm_power_q31() : arm_power_q31.c , arm_math.h
- arm_power_q7() : arm_power_q7.c , arm_math.h
- arm_q15_to_float() : arm_math.h , arm_q15_to_float.c
- arm_q15_to_q31() : arm_math.h , arm_q15_to_q31.c
- arm_q15_to_q7() : arm_q15_to_q7.c , arm_math.h
- arm_q31_to_float() : arm_q31_to_float.c , arm_math.h
- arm_q31_to_q15() : arm_math.h , arm_q31_to_q15.c
- arm_q31_to_q7() : arm_math.h , arm_q31_to_q7.c
- arm_q7_to_float() : arm_q7_to_float.c , arm_math.h
- arm_q7_to_q15() : arm_q7_to_q15.c , arm_math.h
- arm_q7_to_q31() : arm_q7_to_q31.c , arm_math.h
- arm_radix4_butterfly_f32() : arm_math.h , arm_cfft_radix4_f32.c
- arm_radix4_butterfly_inverse_f32() : arm_cfft_radix4_f32.c , arm_math.h
- arm_radix4_butterfly_inverse_q15() : arm_math.h , arm_cfft_radix4_q15.c
- arm_radix4_butterfly_inverse_q31() : arm_math.h , arm_cfft_radix4_q31.c
- arm_radix4_butterfly_q15() : arm_cfft_radix4_q15.c , arm_math.h
- arm_radix4_butterfly_q31() : arm_math.h , arm_cfft_radix4_q31.c
- arm_recip_q15() : arm_math.h
- arm_recip_q31() : arm_math.h
- arm_rfft_f32() : arm_math.h , arm_rfft_f32.c
- arm_rfft_init_f32() : arm_math.h , arm_rfft_init_f32.c
- arm_rfft_init_q15() : arm_rfft_init_q15.c , arm_math.h
- arm_rfft_init_q31() : arm_rfft_init_q31.c , arm_math.h
- arm_rfft_q15() : arm_rfft_q15.c , arm_math.h
- arm_rfft_q31() : arm_math.h , arm_rfft_q31.c
- arm_rms_f32() : arm_math.h , arm_rms_f32.c
- arm_rms_q15() : arm_math.h , arm_rms_q15.c
- arm_rms_q31() : arm_math.h , arm_rms_q31.c
- arm_scale_f32() : arm_scale_f32.c , arm_math.h
- arm_scale_q15() : arm_math.h , arm_scale_q15.c
- arm_scale_q31() : arm_scale_q31.c , arm_math.h
- arm_scale_q7() : arm_math.h , arm_scale_q7.c
- arm_shift_q15() : arm_math.h , arm_shift_q15.c
- arm_shift_q31() : arm_shift_q31.c , arm_math.h
- arm_shift_q7() : arm_math.h , arm_shift_q7.c
- arm_sin_cos_f32() : arm_sin_cos_f32.c , arm_math.h
- arm_sin_cos_q31() : arm_math.h , arm_sin_cos_q31.c
- arm_sin_f32() : arm_math.h , arm_sin_f32.c
- arm_sin_q15() : arm_math.h , arm_sin_q15.c
- arm_sin_q31() : arm_math.h , arm_sin_q31.c
- arm_split_rfft_f32() : arm_rfft_f32.c
- arm_split_rfft_q15() : arm_rfft_q15.c
- arm_split_rfft_q31() : arm_rfft_q31.c
- arm_split_rifft_f32() : arm_rfft_f32.c
- arm_split_rifft_q15() : arm_rfft_q15.c
- arm_split_rifft_q31() : arm_rfft_q31.c
- arm_sqrt_f32() : arm_math.h
- arm_sqrt_q15() : arm_sqrt_q15.c
- arm_sqrt_q31() : arm_sqrt_q31.c
- arm_std_f32() : arm_math.h , arm_std_f32.c
- arm_std_q15() : arm_math.h , arm_std_q15.c
- arm_std_q31() : arm_std_q31.c , arm_math.h
- arm_sub_f32() : arm_sub_f32.c , arm_math.h
- arm_sub_q15() : arm_sub_q15.c , arm_math.h
- arm_sub_q31() : arm_sub_q31.c , arm_math.h
- arm_sub_q7() : arm_math.h , arm_sub_q7.c
- arm_var_f32() : arm_var_f32.c , arm_math.h
- arm_var_q15() : arm_math.h , arm_var_q15.c
- arm_var_q31() : arm_math.h , arm_var_q31.c

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines